Bug 503714 - latest i915 driver has very poor performance in certain games [NEEDINFO]
latest i915 driver has very poor performance in certain games
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 07:34 EDT by J Gallagher
Modified: 2010-06-28 08:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (jbgallagher2000)


Attachments (Terms of Use)
dmesg log (37.41 KB, text/plain)
2009-06-15 12:01 EDT, J Gallagher
no flags Details
Xorg log (30.87 KB, text/plain)
2009-06-15 12:02 EDT, J Gallagher
no flags Details

  None (edit)
Description J Gallagher 2009-06-02 07:34:29 EDT
Description of problem:
In latest rawhide kernel/xorg/mesa, running on F11 pre-release with i915 module results in very slow performance in games like glaxium, Secret Maryo Chronicles, SuperTux. This is on an Acer Aspire One with Intel GMA95 graphics.

Version-Release number of selected component (if applicable):
kernel-PAE-2.6.29.4-167.fc11.i686
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
mesa-dri-drivers-7.5-0-14.fc11.i586


How reproducible:



Steps to Reproduce:

1. Install fedora 11, fully update from rawhide
2. Install (from rpmfusion if necessary) and launch games like glaxium, supertux
3. Observe poor performance
  
Actual results:
Slow framerates/ unplayable games
In Secret Maryo Chronicles the fadeout effect between screens takes ages.
In lbrickbuster2, game is playable but the cpu usage is ~100% even with framerate limited, this was not the case in F10


Expected results:
Smooth framerates / playable games


Additional info:
Works fine in all F10 updates
Comment 1 Bug Zapper 2009-06-09 12:58:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2009-06-15 09:10:59 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 J Gallagher 2009-06-15 12:01:10 EDT
Created attachment 347958 [details]
dmesg log
Comment 4 J Gallagher 2009-06-15 12:02:36 EDT
Created attachment 347959 [details]
Xorg log
Comment 5 J Gallagher 2009-06-15 12:06:14 EDT
Easy test in F11 is from 'yum install glaxium'

glaxium benchmark at 800x600 fullscreen is 12fps, in F10 it is 39fps
(glaxium -f -3)
Comment 6 J Gallagher 2009-09-16 10:03:50 EDT
This is fixed in Fedora 12 Snapshot 1 (thanks), can we have the fixes in the F11 driver please :)

kernel-2.6.31-0.199.rc8.git2.fc12.i686
xorg-x11-server-Xorg-1.6.99-45.20090903.fc12.i686
mesa-dri-drivers-7.6-0-8.fc12.i686
Comment 7 Matěj Cepl 2009-11-05 13:30:26 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Chris Campbell 2009-12-02 09:17:01 EST
Adam (ajax), user here is asking for a fix backport. Will this be done?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Matěj Cepl 2010-02-26 07:20:36 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 10 Matěj Cepl 2010-02-26 07:29:38 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Notice, that this is an automatically filed comment for all bugs with hanging NEEDINFO for longer time; it is possible by quirks of bugzilla, that some bugs are in this state even though you have attached the required information; please, make a comment to this bug ... that we should see correctly; I am sorry for the bothering you in such case.]
Comment 11 Bug Zapper 2010-04-27 10:37:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 08:47:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.